
Redmine - Defect #13188

Forms are not updated after changing the status field without "Add issues" permission

2013-02-15 19:00 - Akira Nakai

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 2.1.2

Description

I noticed that after changing the status field, the screen is updated, according to the workflow configuration. However, I noticed that

sometimes the screen is not updated as expected. I found out that this behaviour occurs when I am a user that has a role without

permission to add new issues.

Example:

1-Consider an issue in "New" status.

2-Log on with a user "John" that has a role unable to create new issues (only update).

3-John changes the issue status to "Analysis".

4-Screen refreshes the group of fields presented to him.

5-Consider that there is a mandatory field to be filled in when the issue status is "Analysis" (not showed in "New" status).

6-However, the screen does not show that mandatory field.

But, if we go to workflow configuration admin page and enable John to add new issues and repeat the previous steps, the mandatory

field is there as expected! However, we would not like to enable John to add issues...

Environment:

Redmine version 2.1.2.stable

Ruby version 1.8.7 (x86_64-linux)

Rails version 3.2.8

Environment production

Database adapter MySQL

Associated revisions

Revision 11405 - 2013-02-16 12:35 - Jean-Philippe Lang

Fixed that updating the issue form was broken by r4011 when user is not allowed to add issues (#13188).

History

#1 - 2013-02-16 10:59 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Priority changed from Normal to High

#2 - 2013-02-16 11:02 - Jean-Philippe Lang

This was broken long time ago by r4011.

#3 - 2013-02-16 12:36 - Jean-Philippe Lang

- Subject changed from Forms are not updated after changing the status field to Forms are not updated after changing the status field without "Add

issues" permission

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

This is fixed in r11405, thanks for pointing this out.
